{% extends "base.html" %}
{% block content %}
<div class="container pt-1">
  {% csrf_token %}
      <script>
        function getCookie(name) {
          var cookieValue = null;
          if (document.cookie && document.cookie !== '') {
              var cookies = document.cookie.split(';');
              for (var i = 0; i < cookies.length; i++) {
                  var cookie = cookies[i].trim();
                  // Does this cookie string begin with the name we want?
                  if (cookie.substring(0, name.length + 1) === (name + '=')) {
                      cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                      break;
                  }
              }
          }
          return cookieValue;
      }

    function sendRequest() {
        var csrftoken = getCookie('csrftoken');
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '/add_campaign', true);
        xhr.setRequestHeader("Content-Type", "application/json");
        xhr.setRequestHeader("X-CSRFToken", csrftoken);
        xhr.send(JSON.stringify({'campaign_name': location.pathname}));
        xhr.onreadystatechange = function() {
        if (this.readyState != 4) return;
        if (this.status == 200) {
            // var response = JSON.parse(xhr.responseText).result;
            // address = response;
            console.log(xhr.responseText)
        }
    }
    }
      </script>
    <div class="container">
        <div class="row">
            <div class="col-12 bg-white border rounded pt-3 pb-3">
                <div class="row ml-3 mr-3 ">
                    <div class="col-md-12 border rounded bg-light mb-2 pt-1 pb-1">
                      {%for post in posts%}
                          {{post}}
                        <a href = "{{post}}"><button type="button" name="button">RETWEET</button></a>
                      {%endfor%}
                      {% if campaign_already_sharing %}
                      <button type="button" onclick="sendRequest()">STOP SHARING</button>
                      {% else %}
                      <button type="button" onclick="sendRequest()">SHARE THIS COMPAIGN</button>
                      {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
